Name:           python-poetry-lock-package
Version:        0.5.2
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Poetry lock package generator

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/bneijt/poetry-lock-package
Source:         %{pypi_source poetry_lock_package}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'poetry-lock-package' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-poetry-lock-package
Summary:        %{summary}

%description -n python3-poetry-lock-package %_description


%prep
%autosetup -p1 -n poetry_lock_package-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-poetry-lock-package -f %{pyproject_files}


%changelog
%autochangelog